/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 */

package de.bsvrz.buv.rw.basislib.dav;

/**
 * Standardimplementierung eines {@link DavVerbindungsListener}.
 * 
 * Es werden alle Funktionen der Schnittstelle implementiert. Es werden jedoch
 * keinerlei Operationen ausgefhrt. Die Klasse kann als Basis fr
 * Implementierungen verwendet werden, die nicht alle Funktionen verwenden.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: DefaultDavVerbindungsListener.java 45924 2013-09-11 12:34:23Z peuker $
 */
public class DefaultDavVerbindungsListener implements DavVerbindungsListener {

	@Override
	public void verbindungHergestellt(final DavVerbindungsEvent event) {
		// tut nichts
	}

	@Override
	public void verbindungGetrennt(final DavVerbindungsEvent event) {
		// tutu nichts
	}

	@Override
	public boolean verbindungHalten(final DavVerbindungsEvent event) {
		return false;
	}
}
