package de.bsvrz.buv.rw.compatibility.internal;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

public class RwCompatActivator extends AbstractUIPlugin {

	public static final String PLUGIN_ID = "de.bsvrz.buv.rw.compatibility";
	private static RwCompatActivator instanz;

	public RwCompatActivator() {
	}

	@Override
	public void start(final BundleContext context) throws Exception {
		RwCompatActivator.instanz = this;
		super.start(context);
	}

	@Override
	public void stop(final BundleContext context) throws Exception {
		RwCompatActivator.instanz = null;
		super.stop(context);
	}

	public static RwCompatActivator getDefault() {
		return RwCompatActivator.instanz;
	}

	public ImageDescriptor getImageDescriptor(final String path) {
		return AbstractUIPlugin.imageDescriptorFromPlugin(
				RwCompatActivator.PLUGIN_ID, path);
	}

	public Image getImage(final String key) {
		Image image = getImageRegistry().get(key);
		if (image == null) {
			final ImageDescriptor imageDescriptor = getImageDescriptor(key);
			if (imageDescriptor != null) {
				image = imageDescriptor.createImage();
				getImageRegistry().put(key, image);
			}
		}
		return image;
	}
}
