package de.bsvrz.buv.rw.rw.berechtigungen;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import de.bsvrz.buv.rw.rw.berechtigungen.editor.BerechtigungenEditor;
import de.bsvrz.buv.rw.rw.berechtigungen.views.AktuelleBerechtigungenView;

/**
 * Perspektive zur Verwaltung der Berechtigungen.
 * 
 * Die Perspektive besteht aus dem {@link BerechtigungenEditor} und er Ansicht
 * {@link AktuelleBerechtigungenView}.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: BerechtigungenPerspektive.java 47020 2013-11-07 13:42:16Z peuker $
 */
public class BerechtigungenPerspektive implements IPerspectiveFactory {

	/** die ID der Perspektive. */
	public static final String PERSPEKTIVE_ID = "de.bsvrz.buv.rw.rw.berechtigungen.perspective";

	@Override
	public void createInitialLayout(final IPageLayout layout) {
		final String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.addView(BerechtigungenEditor.VIEW_ID, IPageLayout.LEFT, 0.6f,
				editorArea);
		layout.addView(AktuelleBerechtigungenView.VIEW_ID, IPageLayout.RIGHT,
				0.4f, editorArea);
	}
}
