/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 */

package de.bsvrz.buv.rw.rw.berechtigungen.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.WorkbenchException;
import org.eclipse.ui.handlers.HandlerUtil;

import de.bsvrz.buv.rw.rw.berechtigungen.BerechtigungenPerspektive;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Handler fr das Kommando zum ffnen der Perspektive "Berechtigungen".
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: OpenPerspektiveHandler.java 49030 2014-02-28 15:19:54Z peuker $
 */
public class OpenPerspektiveHandler extends AbstractHandler {

	private static final Debug LOGGER = Debug.getLogger();

	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final IWorkbenchWindow window = HandlerUtil
				.getActiveWorkbenchWindow(event);
		try {
			window.getWorkbench().showPerspective(
					BerechtigungenPerspektive.PERSPEKTIVE_ID, window);
		} catch (final WorkbenchException e) {
			LOGGER.error("", e);
		}
		return null;
	}
}
