/*
 * This file is part of Rahmenwerk.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 * Copyright (c) 2008 Dambach Werke GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * Dambach Werke GmbH - initial API and implementation
 *
 *
 *
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */
package de.bsvrz.buv.rw.rw.dav.datenbasis;

import de.bsvrz.dav.daf.main.config.SystemObject;

public class GtmListenElementObjekt {
	private String name;

	private SystemObject systemObject;

	public GtmListenElementObjekt(final SystemObject sysObj) {
		setSystemObjekt(sysObj);
	}

	public String getName() {
		return name;
	}

	private void setName(final String name) {
		this.name = name;
	}

	public SystemObject getSystemObjekt() {
		return systemObject;
	}

	private void setSystemObjekt(final SystemObject newSystemObject) {
		if (systemObject != null) {
			this.systemObject = newSystemObject;
			String tempName = "";
			if ((systemObject.getName() != null)
					&& (!systemObject.getName().isEmpty())) {
				tempName = tempName + systemObject.getName() + " ";
			}
			if ((systemObject.getPid() != null)
					&& (!systemObject.getPid().isEmpty())) {
				tempName = tempName + "(" + systemObject.getPid() + ") ";
			}
			if (systemObject.getId() > 0) {
				tempName = tempName + "["
						+ String.valueOf(systemObject.getId()) + "]";
			}

			this.setName(tempName);
		}
	}

	@Override
	public String toString() {
		return getName();
	}
}
