/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.internal;

import org.eclipse.ui.intro.IntroContentDetector;

import de.bsvrz.buv.rw.rw.RahmenwerkActivator;
import de.bsvrz.buv.rw.rw.preferences.RahmenwerkPreference;

/**
 * Detector zur Ermittlung des Anzeigebedarfs fr die Intro-Seite des
 * Rahmenwerks.
 * 
 * Die Introseite wird angezeigt, wenn noch nicht hinterlegt ist, dass sie
 * bereits einmal angezeigt wurde oder wenn die Option "Immer anzeigen"
 * aktiviert wurde.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: RahmenwerkIntroContentDetector.java 46800 2013-10-23 14:35:48Z peuker $
 */
public class RahmenwerkIntroContentDetector extends IntroContentDetector {

	@Override
	public boolean isNewContentAvailable() {
		if (RahmenwerkActivator.getDefault().getPreferenceStore()
				.getBoolean(RahmenwerkPreference.INTRO_ALWAYS.getId())) {
			return true;
		}

		return !RahmenwerkActivator.getDefault().getPreferenceStore()
				.getBoolean("introDisplayed");
	}
}
