/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.menu;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * Abstrakte Implementierung eines Men-Elements fr das Rahmenwerk.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: AbstractMenueElement.java 45420 2013-08-09 12:12:12Z peuker $
 */
public abstract class AbstractMenueElement implements MenueElement {

	/**
	 * fgt dem bergebenen Dokument an der angegebenen position einen Knoten
	 * hinzu, der das Men-Element als XML-Element beschreibt.
	 * 
	 * @param document
	 *            das Dokument
	 * @param root
	 *            der Knoten an dem angefgt werden soll
	 */
	protected abstract void addXmlNode(Document document, Element root);
}
