/*
 * This file is part of Rahmenwerk 2.0.
 *
 * Rahmenwerk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License  as
 * published by the Free Software Foundation, either version 3 of the
 * License.
 *
 * Rahmenwerk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Rahmenwerk.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2013 BitCtrl Systems GmbH.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strae 67
 * 04229 Leipzig
 * Phone: +49-341-49067-0
 * Fax:   +49-341-49067-15
 * mailto: support@bitctrl.de
 * 
 * Partly inspired by the original Rahmenwerk created by Dambach Werke GmbH.
 */

package de.bsvrz.buv.rw.rw.menu.editoren.handler;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;
import org.xml.sax.SAXException;

import de.bsvrz.buv.rw.rw.menu.editoren.AbstractMenueEditor;
import de.bsvrz.buv.rw.rw.menu.editoren.MenueEditorInput;

/**
 * Handler fr das allgemeine Command "Import" ("org.eclipse.ui.file.import") im
 * Men-Editor.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 * @version $Id: MenueEditorImportHandler.java 45420 2013-08-09 12:12:12Z peuker $
 */
public class MenueEditorImportHandler extends AbstractHandler {

	@Override
	public Object execute(final ExecutionEvent event) throws ExecutionException {
		final IEditorPart activeEditor = HandlerUtil.getActiveEditor(event);

		final FileDialog dialog = new FileDialog(activeEditor.getSite()
				.getShell(), SWT.OPEN);

		final String filePath = dialog.open();
		if (filePath != null) {
			BufferedReader reader = null;
			try {
				reader = new BufferedReader(new FileReader(filePath));
				final StringBuilder parameter = new StringBuilder();
				String line = reader.readLine();
				while (line != null) {
					parameter.append(line);
					line = reader.readLine();
				}
				final MenueEditorInput input = ((AbstractMenueEditor) activeEditor)
						.createInput(parameter.toString());
				((AbstractMenueEditor) activeEditor).setInput(input);
				input.getMenueLeiste().setDirty();

			} catch (final IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (final ParserConfigurationException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (final SAXException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} finally {
				if (reader != null) {
					try {
						reader.close();
					} catch (final IOException e) {
						// wird nicht weiter betrachtet
						e.printStackTrace();
					}
				}
			}
		}
		// TODO Auto-generated method stub
		return null;
	}
}
